### Enumeration

# Qmi WmsAckFailureCause

since: 1.28

#### Declaration

    enum Qmi.WmsAckFailureCause

#### Description [src]

Ack failure cause.

Available since: 1.28

#### Members

`QMI_WMS_ACK_FAILURE_CAUSE_NO_NETWORK_RESPONSE`

  No network response.

  - Value: `0`
  - Available since: 1.28
`QMI_WMS_ACK_FAILURE_CAUSE_NETWORK_RELEASED_LINK`

  Network released link.

  - Value: `1`
  - Available since: 1.28
`QMI_WMS_ACK_FAILURE_CAUSE_NOT_SENT`

  Not sent.

  - Value: `2`
  - Available since: 1.28

#### Type functions

###### qmi_wms_ack_failure_cause_get_string

Gets the nickname string for the `QmiWmsAckFailureCause` specified at `val`.

since: 1.28